# config_test.yaml
# 시연용 - 진행상황/DB연결/산출물 상세 출력

mode: production
verbose: true

database:
  oracle:
    host: 10.2.14.103
    port: 1521
    service_name: KREICDB
    user: your_user
    password: your_password
  
  postgresql:
    host: 10.2.61.197
    port: 5432
    database: bts_ai
    user: your_user
    password: your_password

paths:
  base_dir: /home/was/project/binzib-deploy/binzib_pipeline
  src_dir: /home/was/project/binzib-deploy/binzib_pipeline/src
  input_dir: /home/was/project/binzib-deploy/binzib_pipeline/data/input
  output_dir: /home/was/project/binzib-deploy/binzib_pipeline/data/output
  model_dir: /home/was/project/binzib-deploy/binzib_pipeline/data/models
  shp_file: /home/was/project/binzib-deploy/binzib_pipeline/data/shp/집계구경계_2023.shp

env:
  python_path: /home/was/project/.venv/bin/python
  ld_library_path: /data/bts-ai-compose/api/embedder/instantclient_23_26
  oracle_home: /data/bts-ai-compose/api/embedder/instantclient_23_26

model:
  test_size: 0.2
  random_state: 42
  n_clusters: 5
